This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 721136 - the content of the atom feeds has the same value for title and description
the content of the atom feeds has the same value for title and description
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
Unspecified Solaris
unspecified Severity medium
: ---
: ---
Assigned To: Bryan Kearney
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-07-13 15:52 EDT by John Sefler
Modified: 2015-05-14 11:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2011-07-13 15:52:38 EDT
Description of problem:
I have a bucket of automated tests originally developed against candlepin branch 0.2.  Within those tests, there were numerous event types that would be triggered followed by an assertion that the atom event titles would match an expected value.  Following is a sample list of the expected atom event titles:
  CONSUMER CREATED
  CONSUMER MODIFIED
  CONSUMER DELETED
  POOL CREATED
  POOL MODIFIED
  POOL DELETED
  etc.

Now in the master branch, these expected terse title have changed to a more complex description value.  For example:
  testuser1 created new consumer jsefler.usersys.redhat.com
  admin created new owner newOwner1310579995382

In fact, the "description" and "title" values for the atom entries are both being set to the same long value.


Example Entry atom feed from candlepin 0.3 branch:
Event feed for owner admin entries[486]:
 title=ENTITLEMENT DELETED
 description=null

Example Entry atom feed from candlepin master branch:
Event feed for owner Admin Owner entries[653]:
 title=admin created new consumer jsefler.usersys.redhat.com
 description=admin created new consumer jsefler.usersys.redhat.com


The same value for title and description is not efficient.
Please change the title back to the expected terse values (CONSUMER CREATED, etc.) and leave the new long descriptions set.




Version-Release number of selected component (if applicable):
[root@jsefler-onprem-62candlepin proxy]# git branch
  0.3
* master
[root@jsefler-onprem-62candlepin proxy]# git show-ref | grep master
074f11f1e637a85d07620efb1778ab7a64fff253 refs/heads/master
074f11f1e637a85d07620efb1778ab7a64fff253 refs/remotes/origin/master
Comment 1 Bryan Kearney 2011-07-22 11:10:27 EDT
Fixed in master at f12fa05d423520cbe5bc05b9cbd7ead5e4407410.
Comment 2 John Sefler 2011-07-26 09:59:23 EDT
Verifying Version...
[root@jsefler-onprem-62candlepin proxy]# git branch
  0.3
* master
[root@jsefler-onprem-62candlepin proxy]# git show-ref | grep master
49c78843b94f157caf30a2e0bd3a5cf02537db57 refs/heads/master
49c78843b94f157caf30a2e0bd3a5cf02537db57 refs/remotes/origin/master



Sample Event feeds for /candlepin/atom...
201107260913:23.929 - FINE: SyndFeedUrl: https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/atom (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:24.418 - FINE: Event Feed entries[0].title=CONSUMER CREATED   description=testuser1 created new consumer jsefler-onprem-62server.usersys.redhat.com (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:24.418 - FINE: Event Feed entries[1].title=CONSUMER DELETED   description=jsefler-onprem-62server.usersys.redhat.com deleted the consumer jsefler-onprem-62server.usersys.redhat.com (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:24.459 - FINE: Event Feed entries[146].title=POOL CREATED   description=System created a pool for product Management Add-On (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:24.460 - FINE: Event Feed entries[147].title=ACTIVATIONKEY CREATED   description=admin created the activation key default_key (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:24.460 - FINE: Event Feed entries[148].title=OWNER CREATED   description=admin created new owner Donald Duck (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)


Sample Event feeds for /candlepin/owners/admin/atom...
201107260913:37.016 - FINE: SyndFeedUrl: https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/owners/admin/atom (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:37.502 - FINE: Event feed for owner Admin Owner entries[0].title=ENTITLEMENT CREATED   description=jsefler-onprem-62server.usersys.redhat.com consumed a subscription for product Awesome OS for  z80/x86_64 (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:37.502 - FINE: Event feed for owner Admin Owner entries[1].title=CONSUMER CREATED   description=testuser1 created new consumer jsefler-onprem-62server.usersys.redhat.com (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:37.503 - FINE: Event feed for owner Admin Owner entries[2].title=CONSUMER DELETED   description=jsefler-onprem-62server.usersys.redhat.com deleted the consumer jsefler-onprem-62server.usersys.redhat.com (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)


Sample Event feeds for /candlepin/owners/admin/consumers/9cca1889-985a-4293-8f46-2faed377b9d1/atom...
201107260913:36.795 - FINE: SyndFeedUrl: https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/owners/admin/consumers/9cca1889-985a-4293-8f46-2faed377b9d1/atom (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:37.013 - FINE: Event feed for consumer 9cca1889-985a-4293-8f46-2faed377b9d1 entries[0].title=ENTITLEMENT CREATED   description=jsefler-onprem-62server.usersys.redhat.com consumed a subscription for product Awesome OS for  z80/x86_64 (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)
201107260913:37.013 - FINE: Event feed for consumer 9cca1889-985a-4293-8f46-2faed377b9d1 entries[1].title=CONSUMER CREATED   description=testuser1 created new consumer jsefler-onprem-62server.usersys.redhat.com (com.redhat.qe.sm.cli.tasks.CandlepinTasks.getSyndFeedFor)



atom feed titles have been set back to an terse value (CONSUMER CREATED, POOL CREATED, etc) and the descriptions provide more detail.
Moving to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.